Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.xml
Class SAXWrapper

    java.lang.Object
      org.basex.build.Parser
          org.basex.build.xml.SAXWrapper

    public final class SAXWrapper

extends Parser

This class parses an XML document with Java's default SAX parser. Note that large file cannot be parsed with the default parser due to entity handling (e.g. the DBLP data).

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.build.Parser
`atts, io`

Constructor Summary
`SAXWrapper(javax.xml.transform.sax.SAXSource s)` Constructor.

Method Summary
`java.lang.String` | `det()` Returns detailed progress information.
`java.lang.String` | `head()` Returns a compact description of the current progress.
`void` | `parse(Builder build)` Parses all nodes and sends events to the specified builder.
`double` | `prog()` Returns a value from 0 to 1, representing the current progress.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXWrapper

    public SAXWrapper(javax.xml.transform.sax.SAXSource s)

  Constructor.

  Parameters:
    `s` - sax source

Method Detail

### parse

    public void parse(Builder build)
               throws java.io.IOException

  Description copied from class: `Parser`
  Parses all nodes and sends events to the specified builder.

  Specified by:
    `parse` in class `Parser`
  Parameters:
    `build` - event listener.
  Throws:
    `java.io.IOException` - I/O exception

### head

    public java.lang.String head()

  Description copied from class: `Parser`
  Returns a compact description of the current progress.

  Specified by:
    `head` in class `Parser`
  Returns:
    progress information

### det

    public java.lang.String det()

  Description copied from class: `Parser`
  Returns detailed progress information.

  Specified by:
    `det` in class `Parser`
  Returns:
    position info

### prog

    public double prog()

  Description copied from class: `Parser`
  Returns a value from 0 to 1, representing the current progress.

  Specified by:
    `prog` in class `Parser`
  Returns:
    progress information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD